IMG_0292.JPG=In lead Yazhi, in wheel Yepa & Hino (09/2012)
IMG_0322.JPG=In lead Yona & Yaykaas, in wheel Kayitah 10 months (09/2012)
yyk.jpg=In lead Yaykaas & Yona, in wheel Kayitah 10 months (09/2012)
korso_nuu3.jpg=Yona in weight pull event summer 2012 - 1084 kg
korso_nakku2.jpg=Yaykaas in weight pull event summer 2012 - 724 kg
